*{
  margin: 0;
  font-family: system-ui, -apple-system, BlinkMacSystemFont, 'Segoe UI', Roboto, Oxygen, Ubuntu, Cantarell, 'Open Sans', 'Helvetica Neue', sans-serif;
}
body{
  width: 100%;
  background-color: #fff;
}
/* Navbar starts here */
.slider{
  background-image: url(Lagos_skyline@1894992594.jpg);
  box-sizing: border-box;
  background-position: center;
  background-size: cover;
  height: 250px;
  width: 100%;
}
.sliderHeader{
  color: #fdfcfcb0;
  position: absolute;
  top: 30vh;
  font-size: 1.8rem;
  font-family: Verdana, Geneva, Tahoma, sans-serif;
  font-weight: 600;
  left: 5vw;
}
.navbar-total{
  position: absolute;
  top:0;
  left: 5vw; 
  background-color: #fff;
  width: 90%;
  display: flex;
  flex-direction: row;
  height: 100px;
  justify-content: space-between;
  padding-top: 3vh;
  padding-bottom: 3vh;
  border-bottom: 5px solid #ce1212;
}
#Logo{
  margin-left: 0px;
  width: 80px; 
  height: 65px;
}
.navbar{
  width: fit-content;
  margin-right: 0px;
  display: flex;
  flex-direction: column;
  justify-items: right;
}
#searchBtn{
  margin-top: 3vh;
  border: none;
  background-color: rgb(100, 100, 100);
  border-radius: 15px;
  padding: 10px;
  margin-right: 10px;
  height: 30px;
  width: 170px;
  color: #fff;
}
#searchBtn::placeholder{
  color: white;
  padding-left: 10px;
}
.NavMenu{
  width: 80vw;
  display: flex;
  flex-direction: row;
  position: absolute;
  top: 17vh;
  left: 4vw;
  justify-content: space-between;
  gap: 18px;
}
.navMenuItem{
  border: none;
  margin-left: 0;
  color: #000000a1;
  background: none;
  font-weight: 600;
  width: fit-content;
}
.navMenuItem:hover{
  color: #911f1f;
  cursor: pointer;
}
/* Navbar ends here */


/* Form starts here */
.formBody{
  justify-content: center;
  width: 100%;
  background-color: #bbc0ca;
}
.everything{
  display: flex;
  flex-direction: column;
  background-color: #fff;
  width: 90%;
  justify-self: center;
  align-self: center;
  padding-bottom: 100px;
}
.get-in-touch{
  margin-top: 10vh;
  display: grid;
  grid-template-columns: repeat(1, 1fr);
  gap: 20px;
}
.contact-info{
  height: fit-content;
  margin-top: 10vh;
}
form{
  display: grid;
  grid-template-columns: repeat(1, 1fr);
  gap: 20px;
}
label{
  width: fit-content;
  color: #000;
  font-weight: 600;
  font-family: Arial, Helvetica, sans-serif;
  font-size: 0.9rem;
}
h5{
    color: #ce1212;
}
.inputBoxes{
  display: flex;
  flex-direction: column;
  gap: 10px;
  width: fit-content;
  justify-self: center;
}
.header{
  color: #000;
  padding-top: 2vh;
}
.normalInput{
  height: 30px;
  border: 1px solid black;
  border-color: #911f1f;
  border-radius: 4px;
  width: 200px;
}
.normalInput::placeholder{
  padding-left: 10px;
}
.subjectInput{
  height: 30px;
  border: 1px solid black;
  border-color: #911f1f;
  border-radius: 4px;
  width: 200px;
}
.subjectInput::placeholder, textarea::placeholder{
  padding-left: 10px;
}
textarea{
  width: 250px;  
  border: 1px solid black;
  border-color: #911f1f;
  border-radius: 4px;
}
.btn{
  color: #fff;
  width: 150px;
  height: 7vh;
  border-radius: 5px;
  border: none;
  background-color: #ce1212;
}
.btn:hover{
  width: 170px;
  height: 8vh;
  transition: 0.1s ease-out;
}
h5{
    width: fit-content;
}
h3{
    justify-self: center;
}


@media screen and (min-width: 300px){
  .btn{
    justify-self: center;
  }
}


@media screen and (min-width: 500px){
  .everything{
    justify-self: left;
  }
  h3{
    justify-self: left;
    width: fit-content;
    margin-left: 30px;
  }
  .inputBoxes{
    justify-self: left;
    padding-left: 30px;
  }
  .normalInput{
    width: 260px;
  }
  .subjectInput{
    width: 260px;
  }
  textarea{
    width: 350px;
  }
  button{
    justify-self: left;
    margin-left: 30px;
  }
  .btn{
    justify-self: left;
  }
  .contact-info{
    justify-content: left;
  }
  h5{
    color: #ce1212;
    width: fit-content;
    justify-self: left;
    margin-left: 30px;
  }
  .info{
    width: 100%;
    display: flex;
    margin: 0px;
    justify-content: left;
    justify-items: left;
    flex-direction: column;
  }
  p{
    justify-self: left;
    width: fit-content;
    margin-left: 30px;
    font-size: small;
  }
  #E-mail{
    width: fit-content;
    justify-self: left;
    margin-left: 30px;
  }
}


@media screen and (min-width: 768px) {
  .everything{
    justify-self: left;
  }
  form{
    width: 75%
  }
  .btn{
    justify-self: left;
  }
  .inputBoxes{
    grid-template-columns: repeat(2, 1fr);
  }
  .inputBoxes:nth-child(5), .inputBoxes:nth-child(6){
    grid-column: span 2;
  } 
}


@media screen and (min-width: 1024px) {
  form{
    width: 55%;
  }
  .btn{
    justify-self: left;
  }
}


@media screen and (min-width: 1440px) {

  .slider{
    height: 300px;
  }
  .sliderHeader{
    top: 34vh;
    font-size: 2.2rem;
  }
  #Logo{
    width: 105px; 
    height: 85px;
  }
  .navbar-total{
    height: 130px;
  }
  #navMenu{
    align-self: center;
    width: 60%;
    top: 18vh;
    left: 16.5vw;
  }
  .navMenuItem{
    font-size: 1.1rem;
  }
  #searchBtn{
    width: 230px;
    height: 40px;
    border-radius: 20px;
  }


  form{
    width: 55%;
  }
  h3{
    font-size: 1.6rem;
  }
  .everything{
    gap: 80px;
    flex-direction: row;
    align-self: center;
  }
  .get-in-touch{
    gap: 40px;
  }
  .contact-info{
    display: flex;
    flex-direction: column;
    gap: 40px;
  }
  label{
    font-size: 1.2rem;
  }
  h5{
    font-size: 1.1rem;
  }
  p{
    font-size: 1rem;
  }
}


@media screen and (min-width: 1600px) {
  .get-in-touch, .contact-info{
    margin-left: 3vw;
  }
  #searchBtn{
    height: 45px;
    width: 230px;
    border-radius: 30px;
  }
  #navMenu{
    top: 17vh;
  }
  .sliderHeader{
    top: 29vh;
  }
  .normalInput::placeholder, .subjectInput::placeholder, textarea::placeholder{
    font-size: 1.1rem;
  }
  p{
    font-size: 1.1rem;
  }
}


@media screen and (min-width: 1900px) {
  .slider{
    height: 360px;
  }
  .sliderHeader{
    font-size: 2.8rem;
  }
  .get-in-touch, .contact-info{
    margin-left: 3vw;
  }
  .normalInput, .subjectInput{
    height: 45px;
  }
  .normalInput::placeholder, .subjectInput::placeholder, textarea::placeholder{
    font-size: 1.2rem;
  }
  label, h5{
    font-size: 1.4rem;
  }
  p{
    font-size: 1.2rem;
  }
  #navMenu{
    top: 15vh;
  }
  .navMenuItem{
    font-size: 1.4rem;
  }
  #searchBtn{
    height: 45px;
    width: 260px;
    border-radius: 30px;
  }
}

@media screen and (min-width: 2560px) {
  #Logo{
    width: 155px;
    height: 125px;
  }
  .navbar-total{
    height: 200px;
    border-bottom: 10px solid #ce1212;
  }
  .slider{
    height: 470px;
  }
  .sliderHeader{
    top: 28vh;
    font-size: 3.7rem;
  }
  #searchBtn{
    height: 70px;
    width: 400px;
    border-radius: 30px;
  }
  #searchBtn::placeholder{
    font-size: 1.8rem;
    position: relative;
    top: 6px;
  }
  #navMenu{
    top: 15vh;
    left: 17vw;
  }
  .navMenuItem{
    font-size: 1.8rem;
    width: fit-content;
  }
  .everything{
    gap: 300px;
  }
  .get-in-touch, .contact-info{
    margin-left: 3vw;
  }
  .header{
    font-size: 3rem;
  }
  label, h5{
    font-size: 2rem;
  }
  .normalInput, .subjectInput{
    width: 400px;
    height: 60px;
  }
  .normalInput::placeholder, .subjectInput::placeholder, textarea::placeholder{
    font-size: 1.7rem;
  }
  textarea{
    width: 800px;
  }
  button{
    width: 230px;
    font-size: 1.5rem;
  }
  p{
    font-size: 1.7rem;
  }
}